﻿@*@model UserViewModel*@

@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ng-click="back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Charge 
            </h1>
            <h4 style="display: inline-block;padding-left: 20px;">{{Model.ClubName}}</h4>
        </div>
        <div class="actions">
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>

    <label class="req-star" style="cursor:default">Description</label>
    <div class="input-control text" data-role="input-control" @Html.AngValidationClass("Description")>
        <input  type="text" ng-model="Model.Description" @Html.AngTooltipValidation("Description")/>
    </div>
    <label class="req-star" style="cursor:default">Amount (enter an amount up to <span class="fg-red">{{(Model.Balance).formatCurrencyWithPenny(2)}}</span>)</label>
    <div class="input-control text" data-role="input-control" @Html.AngValidationClass("ChargeAmount")>
        <input  type="text" ng-model="Model.ChargeAmount" @Html.AngTooltipValidation("ChargeAmount")/>
    </div>
    <div class="clearfix"></div>
    <hr />
    <button type="button" class="success large place-right button" data-ng-click="confirmChargeInfo()">Continue</button>
    <button type="button" class="link large place-left button" data-ng-click="back()">Back</button>

    <div class="clearfix"></div>

</div>